import { ofetch } from 'ofetch'

const VOID = "https://gateway.davaocity.gov.ph/api/pops/voidOP.ashx?oprefid="

export default async (application: string) => {
  try {
    const fetch = await ofetch(VOID + application, { parseResponse: JSON.parse, retry: 3, retryDelay: 500, retryStatusCodes: [400, 404, 405, 500, 502] })
    const result = fetch
    return result
  } catch {
    return null
  }
}
